import request from '@/utils/request'

// 订单统计信息
export function orderData(data) {
	return request({
		url: '/api/order/data',
		method: 'get',
		data
	});
}

// 获取用户信息
export function getUserInfo(data) {
	console.log('请求数据');
	return request({
		url: '/api/user',
		method: 'get',
		data
	});
}

// 用户分享图
export function spreadBanner(data) {
	return request({
		url: '/api/spread/banner',
		method: 'get',
		data
	});
}

// 获取地址列表
export function getAddressList(data) {
	return request({
		url: '/api/address/list',
		method: 'get',
		data
	});
}
// 修改地址
export function addressEdit(data) {
	return request({
		url: '/api/address/edit',
		method: 'post',
		data
	});
}
// 删除地址
export function addressDel(data) {
	return request({
		url: '/api/address/del',
		method: 'post',
		data
	});
}
// 设为默认地址
export function setAddressDefault(data) {
	return request({
		url: '/api/address/default/set',
		method: 'post',
		data
	});
}
// 购物车列表
export function getCartList(data) {
	return request({
		url: '/api/cart/list',
		method: 'get',
		data
	});
}

// 修改购物车数量
export function getCartNum(data) {
	return request({
		url: '/api/cart/num',
		method: 'post',
		data
	});
}
//删除购物车
export function cartDel(data) {
	return request({
		url: '/api/cart/del',
		method: 'post',
		data
	});
}
//获取收藏夹列表
export function getcollectList(data) {
	return request({
		url: '/api/collect/user',
		method: 'get',
		data
	});
}
// 取消收藏
export function delcollect(data) {
	return request({
		url: '/api/collect/del',
		method: 'post',
		data
	});
}

//我的推广
export function spread(data) {
	return request({
		url: '/api/spread/people',
		method: 'POST',
		data
	});
}

// 我的推广卖货
export function link(data) {
	return request({
		url: '/api/link/people',
		method: 'POST',
		data
	});
}

// 获取我的粉丝
export function getMyfans(data) {
	return request({
		url: '/api/spread/people',
		method: 'POST',
		data
	});
}

// 转账预约券
export function transfer_accounts(data) {
	return request({
		url: '/api/auction/transfer_accounts',
		method: 'post',
		data
	});
}

// 用户转账趣豆
export function trade(data) {
	return request({
		url: '/api/user/trade',
		method: 'post',
		data
	});
}

// 商家转账趣豆
export function admintrade(data) {
	return request({
		url: '/api/admin/order/trade',
		method: 'post',
		data
	});
}

// 申请馆长
export function apply(data) {
	return request({
		url: '/api/auction/apply',
		method: 'post',
		data
	});
}

// 实名认证查询
export function rate(data) {
	return request({
		url: '/api/rate',
		method: 'get',
		data
	});
}

// 馆长申请查询
export function apply_status(data) {
	return request({
		url: '/api/auction/apply_status',
		method: 'get',
		data
	});
}

//文章列表
export function article(data, id) {
	return request({
		url: '/api/article/list/' + id,
		method: 'GET',
		data
	});
}

//文章详情
export function details(data, id) {
	return request({
		url: '/api/article/details/' + id,
		method: 'GET',
		data
	});
}

//我的商品
export function user_product(data) {
	return request({
		url: '/api/auction/user_product',
		method: 'GET',
		data
	});
}